import { FrameworkDetector, ScanContext, RouteBinding } from '../../types.js';

declare class YiiDetector implements FrameworkDetector {
    readonly name = "yii";
    readonly language = "php";
    readonly filePattern: RegExp;
    detect(projectRoot: string, files: string[]): Promise<boolean>;
    extractRoutes(filePath: string, content: string, ctx: ScanContext): Promise<RouteBinding[]>;
}

export { YiiDetector };
